function [JtrainV,trlabV]=ToVirSam(Jtrain,trlab)
% % % Constitute the virtual sample

[samdim,~]=size(Jtrain);
class=length(unique(trlab));

JtrainV=[];
trlabV=[];

for i=1:class
    
    
    temfinlab=find(trlab==i);
    [finlab1, finlab2]=size(temfinlab);
    sample_num=finlab1*finlab2;
    Jtem=Jtrain(:,temfinlab);
    trlabtem=trlab(temfinlab);
    
    if sample_num<2
        JtrainV=[JtrainV Jtem];
        trlabV=[trlabV trlabtem];
    else        
        atwo=1:sample_num;
        cotwo=combntns(atwo,2);
        fltwo=size(cotwo,1);
                
        JtrainV=[JtrainV Jtem];
        JtemV=zeros(samdim,fltwo);
        for j=1:fltwo
            JtemV(:,j)=(Jtem(:,cotwo(j,1))+Jtem(:,cotwo(j,2)))/2;
        end
        JtrainV=[JtrainV JtemV];
        
        trlabV=[trlabV i*ones(1,sample_num+fltwo)];
    end
    
end
